Loading...
Searching...
No Matches
Opm::BlackOilPolymerIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | polymerPropertiesUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the intensive properties needed to handle polymers from the primary variables.
const Evaluation & | polymerConcentration () const
const Evaluation & | polymerMoleWeight () const
Scalar | polymerDeadPoreVolume () const
const Evaluation & | polymerAdsorption () const
Scalar | polymerRockDensity () const
const Evaluation & | polymerViscosityCorrection () const
const Evaluation & | waterViscosityCorrection () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | polymerConcentration_
Evaluation | polymerMoleWeight_
Scalar | polymerDeadPoreVolume_
Scalar | polymerRockDensity_
Evaluation | polymerAdsorption_
Evaluation | polymerViscosityCorrection_
Evaluation | waterViscosityCorrection_

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilpolymermodules.hh